{
    attributes = (
        {
            columnName = "ADR_ETU_ORDRE"; 
            externalType = NUMBER; 
            name = adrEtuOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ADR_SERVICE_ACCUEIL"; 
            externalType = NUMBER; 
            name = adrServiceAccueil; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ADR_STRUCTURE_ACCUEIL"; 
            externalType = NUMBER; 
            name = adrStructureAccueil; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "CON_ORDRE"; 
            externalType = NUMBER; 
            name = conOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "CONV_SPECIFIQUE"; 
            externalType = VARCHAR2; 
            name = convSpecifique; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = "C_STRUCTURE_ACCUEIL"; 
            externalType = VARCHAR2; 
            name = cStructureAccueil; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = "C_STRUCTURE_SERVICE"; 
            externalType = VARCHAR2; 
            name = cStructureService; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = "MEC_KEY"; 
            externalType = NUMBER; 
            name = mecKey; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_IND_CONTACT_SERVICE"; 
            externalType = NUMBER; 
            name = noIndividuContactService; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "NO_IND_CONTACT_STRUCT"; 
            externalType = NUMBER; 
            name = noIndividuContactStruct; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "NO_TELEPHONE"; 
            externalType = VARCHAR2; 
            name = noTelephone; 
            valueClassName = NSString; 
            width = 20; 
        }, 
        {
            columnName = "NUM_ETUDIANT"; 
            externalType = NUMBER; 
            name = numEtudiant; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "OFFRE_ID"; 
            externalType = VARCHAR2; 
            name = offreId; 
            valueClassName = NSString; 
            valueType = S; 
            width = 12; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PERS_ID_ENCADRANT"; 
            externalType = NUMBER; 
            name = persIdEncadrant; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PERS_ID_TUTEUR"; 
            externalType = NUMBER; 
            name = persIdTuteur; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            className = "java.lang.Number"; 
            columnName = "SAC_ID"; 
            externalType = NUMBER; 
            name = sacId; 
            precision = 12; 
            valueType = l; 
        }, 
        {
            className = "java.lang.Number"; 
            columnName = "SAN_ID"; 
            externalType = NUMBER; 
            name = sanId; 
            precision = 4; 
            valueType = l; 
        }, 
        {
            className = "java.lang.Number"; 
            columnName = "SET_ID"; 
            externalType = NUMBER; 
            name = setId; 
            precision = 12; 
            valueType = l; 
        }, 
        {
            columnName = "STG_ACTIVITES"; 
            externalType = VARCHAR2; 
            name = stgActivites; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2000; 
        }, 
        {
            columnName = "STG_D_CREATION"; 
            externalType = DATE; 
            name = stgDCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "STG_D_DEBUT"; 
            externalType = DATE; 
            name = stgDDebut; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "STG_D_FIN"; 
            externalType = DATE; 
            name = stgDFin; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "STG_D_MODIFICATION"; 
            externalType = DATE; 
            name = stgDModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "STG_D_SUPPRESSION"; 
            externalType = DATE; 
            name = stgDSuppression; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            className = "java.lang.Number"; 
            columnName = "STG_DUREE_AM"; 
            externalType = NUMBER; 
            name = stgDureeAm; 
            precision = 4; 
            valueType = l; 
        }, 
        {
            className = "java.lang.Number"; 
            columnName = "STG_DUREE_HEBDO"; 
            externalType = NUMBER; 
            name = stgDureeHebdo; 
            precision = 4; 
            valueType = l; 
        }, 
        {
            allowsNull = Y; 
            className = "java.lang.Number"; 
            columnName = "STG_DUREE_PM"; 
            externalType = NUMBER; 
            name = stgDureePm; 
            precision = 4; 
            valueType = l; 
        }, 
        {
            allowsNull = Y; 
            className = "java.lang.Number"; 
            columnName = "STG_DUREE_QUOTIDIENNE"; 
            externalType = NUMBER; 
            name = stgDureeQuotidienne; 
            precision = 4; 
            valueType = l; 
        }, 
        {
            allowsNull = Y; 
            columnName = "STG_DUREE_TOTALE_COMMENTAIRE"; 
            externalType = VARCHAR2; 
            name = stgDureeTotaleCommentaire; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2000; 
        }, 
        {
            columnName = "STG_DUREE_TOTALE_UNITE"; 
            externalType = VARCHAR2; 
            name = stgDureeTotaleUnite; 
            valueClassName = NSString; 
            width = 1; 
        }, 
        {
            columnName = "STG_DUREE_TOTALE_VAL"; 
            externalType = NUMBER; 
            name = stgDureeTotaleVal; 
            precision = 5; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            allowsNull = Y; 
            columnName = "STG_GRAT_AVANTAGES"; 
            externalType = VARCHAR2; 
            name = stgGratAvantages; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2000; 
        }, 
        {
            allowsNull = Y; 
            columnName = "STG_GRAT_DEVISE"; 
            externalType = VARCHAR2; 
            name = stgGratDevise; 
            valueClassName = NSString; 
            valueType = S; 
            width = 3; 
        }, 
        {
            allowsNull = Y; 
            columnName = "STG_GRAT_MENSUELLE"; 
            externalType = VARCHAR2; 
            name = stgGratMensuelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "STG_GRAT_MODE_VERSEMENT"; 
            externalType = NUMBER; 
            name = stgGratModeVersement; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            allowsNull = Y; 
            columnName = "STG_GRAT_MONTANT"; 
            externalType = NUMBER; 
            name = stgGratMontant; 
            valueClassName = NSNumber; 
            valueType = d; 
        }, 
        {
            columnName = "STG_GRAT_OBLIGATOIRE"; 
            externalType = VARCHAR2; 
            name = stgGratObligatoire; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "STG_HORAIRES"; 
            externalType = VARCHAR2; 
            name = stgHoraires; 
            valueClassName = NSString; 
            valueType = S; 
            width = 200; 
        }, 
        {
            columnName = "STG_ID"; 
            externalType = NUMBER; 
            name = stgId; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            allowsNull = Y; 
            columnName = "STG_LANGUE"; 
            externalType = VARCHAR2; 
            name = stgLangue; 
            valueClassName = NSString; 
            valueType = S; 
            width = 5; 
        }, 
        {
            className = "java.lang.Number"; 
            columnName = "STG_NB_JOURS_HEBDO"; 
            externalType = NUMBER; 
            name = stgNbJoursHebdo; 
            precision = 1; 
            valueType = l; 
        }, 
        {
            columnName = "STG_REF_RESP_CIVILE"; 
            externalType = VARCHAR2; 
            name = stgRefRespCivile; 
            valueClassName = NSString; 
            width = 60; 
        }, 
        {
            columnName = "STG_SUJET"; 
            externalType = VARCHAR2; 
            name = stgSujet; 
            valueClassName = NSString; 
            valueType = S; 
            width = 200; 
        }, 
        {
            allowsNull = Y; 
            columnName = "STG_SUJET_PEDAGOGIQUE"; 
            externalType = VARCHAR2; 
            name = stgSujetPedagogique; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2000; 
        }, 
        {
            allowsNull = Y; 
            columnName = "STT_JOURS_NON_OUVRES"; 
            externalType = VARCHAR2; 
            name = sttJoursNonOuvres; 
            valueClassName = NSString; 
            valueType = S; 
            width = 200; 
        }, 
        {
            className = "java.lang.Number"; 
            columnName = "STY_ID"; 
            externalType = NUMBER; 
            name = styId; 
            precision = 12; 
            valueType = l; 
        }, 
        {
            columnName = "TYPE_NO"; 
            externalType = VARCHAR2; 
            name = typeNo; 
            valueClassName = NSString; 
            width = 3; 
        }, 
        {
            columnName = "TYPE_TEL"; 
            externalType = VARCHAR2; 
            name = typeTel; 
            valueClassName = NSString; 
            width = 4; 
        }
    ); 
    attributesUsedForLocking = (stgId); 
    className = "org.cocktail.fwkcktlstages.serveur.metier.EOStgStage"; 
    classProperties = (
        contactServiceToIndividu, 
        contactStructToIndividu, 
        convSpecifique, 
        mecKey, 
        noIndividuContactService, 
        noIndividuContactStruct, 
        noTelephone, 
        offreId, 
        persIdEncadrant, 
        persIdTuteur, 
        stgActivites, 
        stgDCreation, 
        stgDDebut, 
        stgDFin, 
        stgDModification, 
        stgDSuppression, 
        stgDureeAm, 
        stgDureeHebdo, 
        stgDureePm, 
        stgDureeQuotidienne, 
        stgDureeTotaleCommentaire, 
        stgDureeTotaleUnite, 
        stgDureeTotaleVal, 
        stgGratAvantages, 
        stgGratMensuelle, 
        stgGratMontant, 
        stgGratObligatoire, 
        stgHoraires, 
        stgLangue, 
        stgNbJoursHebdo, 
        stgRefRespCivile, 
        stgRepartDomaines, 
        stgSujet, 
        stgSujetPedagogique, 
        sttJoursNonOuvres, 
        toAbsences, 
        toAcces, 
        toAdresseEtudiant, 
        toAdresses, 
        toAdresseServiceAccueil, 
        toAdresseStructureAccueil, 
        toAnnee, 
        toAvenants, 
        toContrat, 
        toDeviseGratification, 
        toEtat, 
        toEtudiant, 
        toEvenements, 
        toModeVersementGratification, 
        toOrganismeAccueil, 
        toPieceJointeReparts, 
        toService, 
        toType, 
        typeNo, 
        typeTel
    ); 
    externalName = "STAGES.STG_STAGE"; 
    fetchSpecificationDictionary = {}; 
    name = "FwkCktlStages_StgStage"; 
    primaryKeyAttributes = (stgId); 
    relationships = (
        {
            destination = "Fwkpers_Individu"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {
                    destinationAttribute = noIndividu; 
                    sourceAttribute = noIndividuContactService; 
                }
            ); 
            name = contactServiceToIndividu; 
        }, 
        {
            destination = "Fwkpers_Individu"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {
                    destinationAttribute = noIndividu; 
                    sourceAttribute = noIndividuContactStruct; 
                }
            ); 
            name = contactStructToIndividu; 
        }, 
        {
            destination = "FwkCktlStages_StgRepartDomaine"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = stgId; sourceAttribute = stgId; }); 
            name = stgRepartDomaines; 
        }, 
        {
            destination = "FwkCktlStages_StgAbsence"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = stgId; sourceAttribute = stgId; }); 
            name = toAbsences; 
        }, 
        {
            destination = "FwkCktlStages_StgAcces"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = sacId; sourceAttribute = sacId; }); 
            name = toAcces; 
        }, 
        {
            destination = "Fwkpers_Adresse"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = adrOrdre; sourceAttribute = adrEtuOrdre; }); 
            name = toAdresseEtudiant; 
        }, 
        {
            destination = "FwkCktlStages_StgAdresse"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = stgId; sourceAttribute = stgId; }); 
            name = toAdresses; 
        }, 
        {
            destination = "Fwkpers_Adresse"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = adrOrdre; sourceAttribute = adrServiceAccueil; }); 
            name = toAdresseServiceAccueil; 
        }, 
        {
            destination = "Fwkpers_Adresse"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = adrOrdre; sourceAttribute = adrStructureAccueil; }); 
            name = toAdresseStructureAccueil; 
        }, 
        {
            destination = "FwkCktlStages_StgAnnee"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = sanId; sourceAttribute = sanId; }); 
            name = toAnnee; 
        }, 
        {
            destination = "FwkCktlStages_StgAvenant"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = stgId; sourceAttribute = stgId; }); 
            name = toAvenants; 
        }, 
        {
            destination = CWContrat; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = conOrdre; sourceAttribute = conOrdre; }); 
            name = toContrat; 
        }, 
        {
            destination = "FwkCktlStages_VDevise"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = wmoCode; sourceAttribute = stgGratDevise; }); 
            name = toDeviseGratification; 
        }, 
        {
            destination = "Fwkpers_Individu"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persIdEncadrant; }); 
            name = toEncadrants; 
        }, 
        {
            destination = "FwkCktlStages_StgEtat"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = setId; sourceAttribute = setId; }); 
            name = toEtat; 
        }, 
        {
            destination = "Fwkpers_Etudiant"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = etudNumero; sourceAttribute = numEtudiant; }); 
            name = toEtudiant; 
        }, 
        {
            destination = "FwkCktlStages_StgEvenement"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = stgId; sourceAttribute = stgId; }); 
            name = toEvenements; 
        }, 
        {
            destination = "FwkCktlStages_VModeVersement"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = modOrdre; sourceAttribute = stgGratModeVersement; }); 
            name = toModeVersementGratification; 
        }, 
        {
            destination = "Fwkpers_Structure"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cStructure; sourceAttribute = cStructureAccueil; }); 
            name = toOrganismeAccueil; 
        }, 
        {
            destination = "FwkCktlStages_StgPieceJointeRepart"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = stgId; sourceAttribute = stgId; }); 
            name = toPieceJointeReparts; 
        }, 
        {
            destination = "Fwkpers_Structure"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cStructure; sourceAttribute = cStructureService; }); 
            name = toService; 
        }, 
        {
            destination = "FwkCktlStages_StgType"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = styId; sourceAttribute = styId; }); 
            name = toType; 
        }
    ); 
}
